/*!
 * (c) Copyright 2024 Swiss Post Ltd.
 */
@use "../bootstrap-overrides" as app;
@use "../mixins/outline";
@use "../functions/forced-colors";

.accordion-button {
  &:not(.collapsed) {
    box-shadow: none;
  }

  &:focus-visible {
    @include outline.inner;
  }

  @media (forced-colors: active) {
    --ev-accordion-active-color: Highlight;
    --ev-accordion-transition: none;
    --ev-accordion-btn-icon: #{forced-colors.button-text(app.$accordion-button-icon, app.$accordion-icon-color)};
    --ev-accordion-btn-active-icon: #{forced-colors.highlight(app.$accordion-button-active-icon, app.$accordion-icon-active-color)};
  }
}
